Loading...
Searching...
No Matches
ScopesObject Class Reference

Lists the available scopes for an OAuth2 security scheme. More...

Inherits ObjectBase.

## Public Member Functions

| constructor (hash< auto > oh)
| Constructor.

## Public Attributes

hash< string, string > | fields
| Maps between a name of a scope to a short description of it (as the value of the property).

## Detailed Description

Lists the available scopes for an OAuth2 security scheme.

## Member Function Documentation

## constructor()

ScopesObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing the available scopes for an OAuth2 security scheme

Exceptions

  INVALID-FIELD-TYPE | field has invalid type

## Member Data Documentation

## fields

hash<string, string> ScopesObject::fields

Maps between a name of a scope to a short description of it (as the value of the property).

Hash of string values.